<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\Select;

class LoginTypeSelect extends Select
{
    public static function create(): static
    {
        return parent::make('login_type')
            ->label('نوع ورود')
            ->options([
                0 => 'OTP',
                1 => 'Cellphone + Password',
                2 => 'Email + Password',
                3 => 'Google Account',
            ])
            ->searchable()
            ->columnSpan(6);
    }
}
